Details

    • Type: Defect Defect
    • Status: Done Done
    • Priority: Major Major
    • Resolution: Complete
    • Affects Version/s: 2.0.0.M5
    • Fix Version/s: None
    • Component/s: None
    • Environment:

      OS X, Snow Leopard, Cocoa 64-bit

      Description

      Seems with the infrastructure changes in M5, dm server cannot be used inside of STS.

      Exception in thread "main" java.lang.NoClassDefFoundError: com/springsource/server/launch/harness/LaunchHarness
      Caused by: java.lang.ClassNotFoundException: com.springsource.server.launch.harness.LaunchHarness
      at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
      at java.security.AccessController.doPrivileged(Native Method)
      at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:319)
      at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:330)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:254)
      at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:399)

        Activity

        Hide
        Andy Wilkinson added a comment -

        Thanks, Stacy, and apologies for the inconvenience. We have a new release of the tools ready to go, I believe Christian just needs to publish them on the update site. I'll update this issue once that's happened.

        Show
        Andy Wilkinson added a comment - Thanks, Stacy, and apologies for the inconvenience. We have a new release of the tools ready to go, I believe Christian just needs to publish them on the update site. I'll update this issue once that's happened.
        Hide
        Stacy Young added a comment -

        Great, thanks!

        Show
        Stacy Young added a comment - Great, thanks!
        Hide
        Andy Wilkinson added a comment -

        M5 compatible tools should now be available on the update sites: http://www.springsource.com/milestone/e3.5 for Eclipse 3.5 or http://www.springsource.com/milestone/e3.4 for Eclipse 3.4. Alternatively, they'll be available in STS 2.2.0.

        Show
        Andy Wilkinson added a comment - M5 compatible tools should now be available on the update sites: http://www.springsource.com/milestone/e3.5 for Eclipse 3.5 or http://www.springsource.com/milestone/e3.4 for Eclipse 3.4. Alternatively, they'll be available in STS 2.2.0.

          People

          • Assignee:
            Andy Wilkinson
            Reporter:
            Stacy Young
          • Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:
              First Response Date: